#include "main_form.h"
#include "ui_main_form.h"

main_form::main_form(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::main_form)
{
    ui->setupUi(this);

    setFixedSize(350,120);      // pencere boyutunu sabitle
    on_pushButton_clicked();    // açılışta kutuları temizle

    setWindowTitle("Demo 2...");

}

main_form::~main_form()
{
    delete ui;
}

void main_form::on_box_dec_textChanged(const QString &arg1)
{
     str=arg1; // olmasada olur. Sırf arg1 i kullanmadın demesin diye..

    // desimal giriş oldu.
    // desimal kutusunu int e çevirelim.
    val=ui->box_dec->text().toInt();
    // int değeri 16 lı gösterim ile string e çeivrelim.
    str = str.setNum(val,16).toUpper();
    // hex kutusunda gösterelim.
    ui->box_hex->setText(str);

    // int değeri binary  gösterim ile string e çeivrelim.
    str = str.setNum(val,2);
    // binary  kutusunda gösterelim.
    ui->box_bin->setText(str);
}





void main_form::on_box_hex_textChanged(const QString &arg1)
{
    str=arg1; // olmasada olur. Sırf arg1 i kullanmadın demesin diye..

    // hex giriş oldu.
    // hex kutusunu int e çevirelim.
    val=ui->box_hex->text().toInt(&ok,16);
    // int değeri decimal gösterim ile string e çeivrelim.
    str = str.setNum(val,10);
    // decimal kutusunda gösterelim.
    ui->box_dec->setText(str);

    // int değeri binary  gösterim ile string e çeivrelim.
    str = str.setNum(val,2);
    // binary  kutusunda gösterelim.
    ui->box_bin->setText(str);
}



void main_form::on_box_bin_textChanged(const QString &arg1)
{
    str=arg1; // olmasada olur. Sırf arg1 i kullanmadın demesin diye..

    // binary giriş oldu.
    // binary kutusunu int e çevirelim.
    val=ui->box_bin->text().toInt(&ok,2);
    // int değeri decimal gösterim ile string e çeivrelim.
    str = str.setNum(val,10);
    // decimal kutusunda gösterelim.
    ui->box_dec->setText(str);

    // int değeri 16 lı gösterim ile string e çeivrelim.
    str = str.setNum(val,16).toUpper();
    // hex kutusunda gösterelim.
    ui->box_hex->setText(str);
}

void main_form::on_pushButton_clicked()
{
    // temizle butonu
    ui->box_bin->setText("0");
    ui->box_dec->setText("0");
    ui->box_hex->setText("0");
}



